menu .menubar.clips.website -tearoff 0
$mnu(clips) add cascade -label "website F5" -underline 0 -menu .menubar.clips.website
.menubar.clips.website add command -label "sect" -underline 0 -command { istring "\[sect \"|\"\]\n" }
.menubar.clips.website add command -label "subsect" -underline 1 -command { istring "\[subsect \"|\"\]\n" }
.menubar.clips.website add separator
.menubar.clips.website add command -label "img" -underline 0 -command { istring "\[img \"|src\" \"width\" \"subtitle\"\]" }
.menubar.clips.website add command -label "nimg" -underline 0 -command { istring "\[nimg \{|src1 src2 ...\} \"width\" \"subtitle\"\]" }
.menubar.clips.website add separator
.menubar.clips.website add command -label "trow" -underline 0 -command { istring "\[trow \"|cell1\" \"cell2\" ...\]\n" }
.menubar.clips.website add command -label "href" -underline 0 -command { istring "\[href \"|url\" \"name\" \]" }
menu .menubar.clips.html -tearoff 0
$mnu(clips) add cascade -label "html       F6" -underline 0 -menu .menubar.clips.html 

.menubar.clips.html add command -label "HTML" -underline 0 -command { istring "<HTML>\n  <HEAD>\n    <TITLE>|</TITLE>\n  </HEAD>\n  <BODY>\n\n  </BODY></HTML>\n" }
.menubar.clips.html add separator
.menubar.clips.html add command -label "H1" -underline 1 -command { istring "<H1>|</H1>\n" }
.menubar.clips.html add command -label "H2" -underline 1 -command { istring "<H2>|</H2>\n" }
.menubar.clips.html add command -label "H3" -underline 1 -command { istring "<H3>|</H3>\n" }
.menubar.clips.html add command -label "H4" -underline 1 -command { istring "<H4>|</H4>\n" }
.menubar.clips.html add separator
.menubar.clips.html add command -label "P" -underline 0 -command { istring "<P>|\n</P>\n" }
.menubar.clips.html add command -label "UL" -underline 0 -command { istring "<UL>\n|\n</UL>\n" }
.menubar.clips.html add command -label "OL" -underline 0 -command { istring "<OL>\n|\n</OL>\n" }
.menubar.clips.html add command -label "LI" -underline 0 -command { istring "<LI>|</LI>\n" }
.menubar.clips.html add separator
.menubar.clips.html add command -label "BOLD" -underline 0 -command { istring "<B>|</B>" }
.menubar.clips.html add command -label "ITALIC" -underline 0 -command { istring "<I>|</I>" }
.menubar.clips.html add command -label "CODE" -underline 0 -command { istring "<CODE>|</CODE>" }
.menubar.clips.html add separator
.menubar.clips.html add command -label "IMG" -underline 0 -command { istring "<IMG SRC=\"|\" BORDER=\"0\">" }
.menubar.clips.html add command -label "A HREF" -underline 2 -command { istring "<A HREF=\"|\"></A>" }
.menubar.clips.html add command -label "A NAME" -underline 2 -command { istring "<A NAME=\"|\">" }
.menubar.clips.html add separator
.menubar.clips.html add command -label "TABLE" -underline 0 -command { istring "<TABLE>|\n</TABLE>\n" }
.menubar.clips.html add command -label "TR" -underline 1 -command { istring "<TR>|</TR>\n" }
.menubar.clips.html add command -label "TH" -underline 1 -command { istring "<TH>|</TH>" }
.menubar.clips.html add command -label "TD" -underline 1 -command { istring "<TD>|</TD>" }

menu .menubar.clips.tcl -tearoff 0
menu .menubar.clips.tcl.pf -tearoff 0
menu .menubar.clips.tcl.file -tearoff 0
menu .menubar.clips.tcl.lists -tearoff 0
menu .menubar.clips.tcl.array -tearoff 0
menu .menubar.clips.tcl.scope -tearoff 0
menu .menubar.clips.tcl.regexp -tearoff 0
menu .menubar.clips.tcl.tk -tearoff 0
menu .menubar.clips.tcl.tix -tearoff 0
menu .menubar.clips.tcl.bw -tearoff 0
$mnu(clips) add cascade -label "tcl         F7" -underline 0 -menu .menubar.clips.tcl
.menubar.clips.tcl add cascade -label "Program Flow" -underline 0 -menu .menubar.clips.tcl.pf
.menubar.clips.tcl add cascade -label "File Processing" -underline 0 -menu .menubar.clips.tcl.file
.menubar.clips.tcl add cascade -label "List Processing" -underline 0 -menu .menubar.clips.tcl.lists
.menubar.clips.tcl add cascade -label "Array Processing" -underline 0 -menu .menubar.clips.tcl.array
.menubar.clips.tcl add cascade -label "Scope Processing" -underline 0 -menu .menubar.clips.tcl.scope
.menubar.clips.tcl add cascade -label "Regexp Processing" -underline 0 -menu .menubar.clips.tcl.regexp
.menubar.clips.tcl add separator
.menubar.clips.tcl add cascade -label "Tk Widgets" -underline 0 -menu .menubar.clips.tcl.tk
.menubar.clips.tcl add cascade -label "Tix Widgets" -underline 2 -menu .menubar.clips.tcl.tix
.menubar.clips.tcl add cascade -label "BWidgets" -underline 0 -menu .menubar.clips.tcl.bw
.menubar.clips.tcl.pf add command -label "elif" -command { istring "elsif {|} {\n\n}" }
.menubar.clips.tcl.pf add command -label "else" -command { istring "else {\n|}\n" }
.menubar.clips.tcl.pf add command -label "for" -command { istring "for {set i 0} {\$i < |} {incr i 1} {\n\n}" }
.menubar.clips.tcl.pf add command -label "foreach array" -command { istring "foreach {key value} [array get \$|array] {\n\n}" }
.menubar.clips.tcl.pf add command -label "foreach list" -command { istring "foreach val \$|list {\n\n}" }
.menubar.clips.tcl.pf add command -label "foreach multiple" -command { istring "foreach {key val} \$|list val2 $list2 {\n\n}" }
.menubar.clips.tcl.pf add command -label "if" -command { istring "if {|} {\n\n}" }
.menubar.clips.tcl.pf add command -label "ifcatch" -command { istring "if { [ catch { | } ] } {\n}" }
.menubar.clips.tcl.pf add command -label "proc" -command { istring "proc | { args } {\nglobal var\n\n}" }
.menubar.clips.tcl.pf add command -label "switch" -command { istring "switch -exact -- \$var| {\n exp1 {\n\n}\nexp2 {\n\n}\ndefault {\n\n}\n}" }
.menubar.clips.tcl.pf add command -label "while" -command { istring "while {|} {\n\n}" }

.menubar.clips.tcl.file add command -label "openw" -command { istring "set out [open |file.ext w 0600]\n puts \$out \"Hello\"\nclose \$out" }
.menubar.clips.tcl.file add command -label "openr" -command { istring "if [catch {open \$filename r} infh] {\nputs stderr \"Cannot open \$filename: \$infh\"\nexit\n} else {\n#file operations\n}" }
.menubar.clips.tcl.file add command -label "whilef" -command { istring "while {[gets \$infh line] >= 0} {\n # Process line\n|\n}\nclose \$infh" }

.menubar.clips.tcl.tk add command -label "messageBox OK" -command { istring "tk_messageBox -title \"Info!|\" -icon info -message \"message ...\" -type ok" }
.menubar.clips.tcl.tk add command -label "messageBox YesNo" -command { istring "set answer \[tk_messageBox -title \"|Question!\" -message \"Really delete ?\" -type yesno -icon question\]\nif { \$answer } {\n# so delete \n} else { \n# do no\n}" }
.menubar.clips.tcl.tk add command -label "button" -command { istring "pack \[button .| -text text -command {}\] -side left -padx 5" }
.menubar.clips.tcl.tk add command -label "frame" -command { istring "pack \[frame .|\] -side top -fill both -expand yes" }
.menubar.clips.tcl.tk add command -label "label" -command { istring "pack \[label .| -text text\] -side top -fill x -expand no" }
.menubar.clips.tcl.tk add command -label "labelframe" -command { istring "pack \[labelframe .| -text text\] -side top -expand yes -fill both" }
.menubar.clips.tcl.tk add command -label "panedwindow --" -command { istring "pack \[panedwindow .pan| -orient vertical\] -side top -expand yes -fill both -pady 2 -padx 2\n.pan.w1 configure -height 100\n.pan.w2 configure -height 100 \n.pan add .pan.w1 .pan.w2\n" }
.menubar.clips.tcl.tk add command -label "panedwindow |" -command { istring "pack \[panedwindow .pan| -orient horizontal\] -side left -expand yes -fill both -pady 2 -padx 2\n.pan.w1 configure -width 100\n.pan.w2 configure -width 100\n.pan add .pan.w1 .pan.w2\n" }
.menubar.clips.tcl.tk add command -label "pack" -command { istring "pack \[|\] -side top -expand yes -fill both -pady 1 -padx 1" }
.menubar.clips.tcl.tk add command -label "spinbox" -command { istring "pack \[spinbox .| -width 8 -from 1 -to 10 -increment 1\]  -side left -fill x -expand no" }
.menubar.clips.tcl.tk add command -label "tk_chooseDirectory" -command { istring "set dir \[tk_chooseDirectory -initialdir |\$var(lastdir)\]\n    if {!\[string equal \$dir \"\"\]} {\n        cd \$dir\n        set var(lastdir) \$dir\n        foreach file \[lsort \[glob -nocomplain *\]\] {\n            # do something with file\n        }\n    }\n" }
.menubar.clips.tcl.tk add command -label "tk_getOpenFile" -command { istring "set types {\n    {{Text Files}       {.txt}        }\n    {{All Files}        *             }\n}\nset filename \[tk_getOpenFile -filetypes \$types\]\nif {\$filename != \"\"} {\n    # Open the file ...\n|\n}" }
.menubar.clips.tcl.tk add command -label "tk_getSaveFile" -command { istring "set types {\n    {{Text Files}       {.txt}        }\n    {{All Files}        *             }\n}\nunset -nocomplain savefile\nset savefile \[tk_getSaveFile -filetypes \$types\]\nif {\$savefile != \"\"} {\n    # Save the file ...\n|\n}" }
.menubar.clips.tcl.tix add command -label "getimage" -command { istring "set img(folder) \[tix getimage folder\]" }
.menubar.clips.tcl.tix add command -label "tixBalloon" -command { istring "set gui(bal) \[tixBalloon .bal\]\n# Add balloon binding\n\$gui(bal) bind .|widget -msg \"This is a widget\"" }
.menubar.clips.tcl.tix add command -label "tixButtonBox" -command { istring "pack \[tixButtonBox .| -orientation horizontal\] -side top -expand no -anchor nw\nset gui(bb) .?\n\$gui(bb) add yes -text \" yes \"\n \$gui(bb) add no -text  \" no \"" }
.menubar.clips.tcl.tix add command -label "tixCheckList" -command { istring "pack \[tixCheckList .| -radio true\] -side top -fill x -expand no\n \$gui(cl) subwidget hlist add yes -itemtype imagetext -text yes\n \$gui(cl) subwidget hlist add no -itemtype imagetext -text no\n" }
.menubar.clips.tcl.tix add command -label "tixComboBox" -command { istring "pack \[tixComboBox .| -label labeltext: -editable true\]  -side top -fill x -expand no" }
.menubar.clips.tcl.tix add command -label "tixDisplayStyle" -command { istring "set style(|beige) \[tixDisplayStyle imagetext -background \"beige\"\]" }
.menubar.clips.tcl.tix add command -label "tixLabelEntry" -command { istring "pack \[tixLabelEntry .| -label text\] -side left -fill x -expand no" }
.menubar.clips.tcl.tix add command -label "tixMeter" -command { istring "pack \[tixMeter .| -text progress\] -side left -fill x -expand no -padx 2" }
.menubar.clips.tcl.tix add command -label "tixNoteBook" -command { istring "tixNoteBook .nb|\n.nb add book1 -label book1 -underline 0\n.nb add book2 -label book2 -underline 0\nset gui(frame-book1) \[.nb subwidget book1\]\nset gui(frame-book2) \[.nb subwidget book2\]" }
.menubar.clips.tcl.tix add command -label "tixOptionMenu" -command { istring "pack \[tixOptionMenu .| -label blah: \\\n -variable variable \\\n -options {   label.width  19 \n  label.anchor e \n  menubutton.width 15 \n}\] -side left \n . add command blah1 -label blah1" }
.menubar.clips.tcl.tix add command -label "tixSelect" -command { istring "pack \[tixSelect .| -allowzero false -radio true -label \"text:\"\\]-side top -expand no -anchor nw\nset gui(sel) .import.cbheader\n\$gui(sel) add yes -text \" yes \" \$gui(sel) add no -text  \" no \"\n \$gui(sel) configure -value yes" }
.menubar.clips.tcl.tix add command -label "tixTree" -command { istring "pack \[tixTree .| -width 200 -command  tree_on_click -opencmd {tree_on_open 1}\\\n-closecmd {tree_on_open 0} -options { hlist.columns 2 }\]-side left -fill both -expand yes\n" }
.menubar.clips.tcl.tix add command -label "tixTreeFunc" -command { istring "proc tree_on_open {openvar index} {\n    global gui img|\n    set hlist \[\$gui(tree) subwidget hlist\] \n    foreach child \[\$hlist info children \$index\] {\n        if {\$openvar == 1} { \n            \$hlist show entry \$child \n            \$hlist entryconfigure \[\$hlist info parent \$child\] -image \$img(openfolder)\n        } else {\n            \$hlist hide entry \$child\n            \$hlist entryconfigure \[\$hlist info parent \$child\] -image \$img(folder)\n        }\n    }\n}" }
.menubar.clips.tcl.tix add command -label "tixScrolledText" -command { istring "pack \[tixScrolledText .| -width 200 -heigth 200\] -side top -fill both -expand yes\n .path subwidget text configure -wrap none" }
.menubar.clips.tcl.tix add command -label "tixScrolledListbox" -command { istring "pack \[tixScrolledListbox .| -width 200\] -side top -fill y -expand yes" }
.menubar.clips.tcl.bw add command -label "ArrowButton" -command { istring "pack \[ArrowButton .ab| -helptext helptext -dir top|bottom|left|right -command command\] -side left" }
.menubar.clips.tcl.bw add command -label "Button" -command { istring "pack \[Button .bt| -text text -helptext helptext -command exit\] -side left" }
.menubar.clips.tcl.bw add command -label "ButtonBox" -command { istring "set bbox \[ButtonBox .bbox| -spacing 0 -padx 1 -pady 1\]\n\$bbox add -image \[Bitmap::get new\] \\\n    -highlightthickness 0 -takefocus 0 -relief link -borderwidth 1 -padx 1 -pady 1 \\\n    -helptext new\n\$bbox add -image \[Bitmap::get open\] \\\n    -highlightthickness 0 -takefocus 0 -relief link -borderwidth 1 -padx 1 -pady 1 \\\n    -helptext save\n\$bbox add -image \[Bitmap::get save\] \\\n    -highlightthickness 0 -takefocus 0 -relief link -borderwidth 1 -padx 1 -pady 1 \\\n    -helptext save\npack \$bbox -side left -anchor w" }
.menubar.clips.tcl.bw add command -label "ComboBox" -command { istring "pack \[ComboBox .cb| -editable true -helptext helptext -width 100 -textvariable \$var -values {1 2 3} -command {}\] -side top -fill x -expand yes\n.cb setvalue first " }
.menubar.clips.tcl.bw add command -label "Dialog" -command { istring "Dialog .dlg -title titletext -parent . -default 0 -cancel 1 -modal local\n.dlg add -name ok\n.dlg add -name cancel\nset frame \[.dlg getframe\]\npack \[message \$frame.m -text {A Message}\]\n.dlg draw\n" }
.menubar.clips.tcl.bw add command -label "Entry" -command { istring "set var textvar\n pack \[Entry .en| -helptext helptext -textvariable var\] -side left" }
.menubar.clips.tcl.bw add command -label "Label" -command { istring "pack \[Label .lb| -text text -helptext helptext\] -side left" }
.menubar.clips.tcl.bw add command -label "LabelEntry" -command { istring "set var text\n pack \[LabelEntry .le| -label labeltext -helptext helptext -textvariable var\] -side left" }
.menubar.clips.tcl.bw add command -label "ListBox" -command { istring "pack \[ListBox .lb\] -side left -expand both -fill yes\n .lb insert end folder -text text -image \[Bitmap::get folder\] -indent 10" }
.menubar.clips.tcl.bw add command -label "LabelFrame" -command { istring "pack \[LabelFrame .lf -text label -helptext helptext -side top -relief groove -bd 3\] -fill both -expand 1\nset frame \[.lf getframe\]\npack \[Button \$frame.b -text blah\] -anchor c" }
.menubar.clips.tcl.bw add command -label "MainFrame" -command { istring "MainFrame .mf -textvariable tvar -separator both\npack .mf -fill both -expand 1\nset frame1 \[.mf addtoolbar\]\nset bbox \[ButtonBox \$frame1.bbox -spacing 0 -padx 1 -pady 1\]\npack \$bbox -side left -anchor w\n.mf addindicator -text indicat" }
.menubar.clips.tcl.bw add command -label "NoteBook" -command { istring "pack \[NoteBook .nb| -side top -width 150 -height 50\] -fill both\n.nb insert end page1 -text page1\nset gui(nbp1) \[.nb getframe page1\]\n pack \[button \$gui(nbp1).btn -text text\]\n .nb raise \[.nb page 0\]" }
.menubar.clips.tcl.bw add command -label "PanedWindow" -command { istring "pack \[PanedWindow .pw -side left(--)|top(I) -pad 0\] -fill both -expand true\n    set pane1 \[.pw add -weight 1\]\n    pack \[listbox \$pane1.lb -bg white -height 20\] -anchor c\n    \$pane1.lb insert end ball\n    set pane2 \[.pw add -weight 1\]\n  set pane3 \[.pw add -weight 1\]" }
.menubar.clips.tcl.bw add command -label "PagesManager" -command { istring "button .b1 -text p1 -command {.pm raise page1} -width 20\n    button .b2 -text p2 -command {.pm raise page2} -width 20\n    button .b3 -text p3 -command {.pm raise page3}  -width 20PagesManager .pm|m -width 100 -height 50\n    grid .b1 .b2 .b3\n    grid .pm - -\n    set p1 \[.pm add page1\]\n    set p2 \[.pm add page2\]\n    set p3 \[.pm add page3\]\n    pack \[label \$p1.l -text inside1 -bd 50\]\n    pack \[label \$p2.l -text inside2 -bd 50\]\n    pack \[label \$p3.l -text inside3 -bd 50\]\n    .pm raise page1" }
.menubar.clips.tcl.bw add command -label "PasswdDlg" -command { istring "set login hello\nset passwd 12345\nPasswdDlg .pd -title Login -loginlabel Login -passwdlabel Password \\\n    -command exit -logintextvariable login -passwdtextvariable passwd" }
.menubar.clips.tcl.bw add command -label "ProgressBar" -command { istring "pack \[ProgressBar .pb| -maximum 100 -variable var\] -side left\n set var 15" }
.menubar.clips.tcl.bw add command -label "ProgressDlg" -command { istring "set mesg Message...\nProgressDlg .pd -title Progress -maximum 20 -variable pvar -stop Stop -textvariable mesg -command exit\nset pvar 5" }
.menubar.clips.tcl.bw add command -label "ScrolledWindow" -command { istring "pack \[ScrolledWindow .sw| -scrollbar both -auto none\]\nset frame \[.sw getframe\]\npack \[text \$frame.text -width 50 -height 50\] -fill both -expand 1\n.sw setwidget \$frame.text" }
.menubar.clips.tcl.bw add command -label "ScrollableFrame" -command { istring "ScrollableFrame .sf| -yscrollcommand {.y set} -xscrollcommand {.x set} -width 140 -height 50\nscrollbar .y -command {.sf yview}\nscrollbar .x -orient horizontal -command {.sf xview}\ngrid .sf .y -sticky ns\ngrid .x -sticky we\nset frame \[.sf getframe\]\nfor {set i 0} {\$i < 10} {incr i} {\n    pack \[LabelEntry \$frame.\$i -label text\$i\] -side top\n}" }
.menubar.clips.tcl.bw add command -label "Separator" -command { istring "pack \[Separator .sp| -orient horizontal\] -pady 10 -fill x" }
.menubar.clips.tcl.bw add command -label "SelectColor Dialog" -command { istring "set color \[SelectColor .sc -title \"Select Color ...\" -type dialog\]" }
.menubar.clips.tcl.bw add command -label "SelectColor Menubutton" -command { istring "set cvar #ffffff\n pack \[SelectColor .sc -title Color -variable cvar -type menubutton\]" }
.menubar.clips.tcl.bw add command -label "SelectFont Dialog" -command { istring "SelectFont .sf -title \"Select Font ...\" -sampletext \"foobar\" -type dialog" }
.menubar.clips.tcl.bw add command -label "SelectFont Toolbar" -command { istring "pack \[SelectFont .sf  -type toolbar\]" }
.menubar.clips.tcl.bw add command -label "SpinBox" -command { istring "pack \[SpinBox .sb| -label text -helptext helptext -range {1 10 1}\]" }
.menubar.clips.tcl.bw add command -label "TitleFrame" -command { istring "pack \[TitleFrame .tf| -text labeltext: -side left\] -fill both -expand 1\nset frame \[.tf getframe\]\npack \[Button \$frame.b -text buttontext\] -anchor c" }
.menubar.clips.tcl.bw add command -label "Tree" -command { istring "pack \[Tree .tree| -opencmd \"tree_change 1\" -closecmd \"tree_change 0\"\]\n.tree insert end root fold1 -text fold1 -image \[Bitmap::get openfold\] -open 1\n.tree insert end fold1 item1 -text item1 -image \[Bitmap::get file\]\n.tree bindText <1> tree_click\nproc tree_click {node} {\n    global var\n    .tree selection set \$node\n    set var \[.tree selection get\]\n}\nproc tree_change {idx node} {\n    .tree itemconfigure \$node -image \[Bitmap::get \[lindex {folder openfold} \$idx\]\]\n}\p" }
.menubar.clips.tcl.bw add command -label "MessageDlg" -command { istring "MessageDlg .md -title \"Info !\" -icon info -message \"|Nothing selected\" -type ok" }
.menubar.clips.tcl.bw add command -label "BWidgetDlg" -command { istring " Dialog .dlg -title |mytitle -parent . -default 0 -cancel 1 -modal local\n   .dlg add -name ok\n   .dlg add -name cancel\n   set frame \[.dlg getframe\]\npack \[message \$frame.m -text mymessage\]\n.dlg draw" }
.menubar.clips.tcl.regexp add command -label "regexp" -command { istring "regexp |-switches? {exp} \$string matchVar? subMatchVar?" }
.menubar.clips.tcl.regexp add command -label "regsub" -command { istring "regsub |-switches? {exp} \$string subSpec varName" }
.menubar.clips.tcl.lists add command -label "concat" -command { istring "set |list \[concat \$list1 \$list2\]" }
.menubar.clips.tcl.lists add command -label "join" -command { istring "set |string \[join \$list { }\]" }
.menubar.clips.tcl.lists add command -label "lappend" -command { istring "lappend listVar| \$x \$y" }
.menubar.clips.tcl.lists add command -label "list" -command { istring "set |list \[list \$x \$y \$z\]" }
.menubar.clips.tcl.lists add command -label "lindex" -command { istring "set |val \[lindex \$list end\]" }
.menubar.clips.tcl.lists add command -label "linsert" -command { istring "set |list \[linsert \$list 0 val1 val2\]" }
.menubar.clips.tcl.lists add command -label "llength" -command { istring " set |length \[llength \$list\]" }
.menubar.clips.tcl.lists add command -label "lreplace" -command { istring "set |list \[ldelete \$list value\]" }
.menubar.clips.tcl.lists add command -label "ldelete proc" -command { istring "proc ldelete { list value } {\n# deleting a item by value\n	set ix \[lsearch -exact \$list \$value\]\n	if {\$ix >= 0} {\n		return \[lreplace \$list \$ix \$ix\]\n	} else {\n		return \$list\n	}\n}\n" }
.menubar.clips.tcl.lists add command -label "lsearch" -command { istring "set |hits \[lsearch \$list sval*\]" }
.menubar.clips.tcl.lists add command -label "lsort" -command { istring "set |list \[lsort -ascii|integer|real|dictionary -index 0 \$list\]" }
.menubar.clips.tcl.lists add command -label "split" -command { istring "set |list \[split \$string { }\]" }
.menubar.clips.tcl.lists add command -label "lrange" -command { istring "set |list \[lrange \$list 3 end\]" }
.menubar.clips.tcl.scope add command -label "global" -command { istring "global var" }
.menubar.clips.tcl.scope add command -label "upvar" -command { istring "upvar 1 \$|namespace::var nvar" }
.menubar.clips.tcl.scope add command -label "uplevel" -command { istring "uplevel 1 \\$cmd" }
.menubar.clips.tcl.array add command -label "array exists" -command { istring "array exists |arr" }
.menubar.clips.tcl.array add command -label "array get" -command { istring "array get |arr pattern?" }
.menubar.clips.tcl.array add command -label "array names" -command { istring "array names |arr pattern?" }
.menubar.clips.tcl.array add command -label "array set" -command { istring "array set |arr \$list" }
.menubar.clips.tcl.array add command -label "array size" -command { istring "array size |arr" }

  
bind all <F5> { showpopup_mnu .menubar.clips.website }
bind all <F6> { showpopup_mnu .menubar.clips.html }
bind all <F7> { showpopup_mnu .menubar.clips.tcl }
