proc dnd_init {widget command} {
    catch { package require tkdnd }
    if { [info command dnd] == "" } { return }
    ApplyDropBinding $widget [list $command %D]
}

proc ApplyDropBinding { widget command } {
    if { $::tcl_platform(platform) == "windows"} {
	dnd bindtarget $widget Files <Drop> $command
    } else {
	dnd bindtarget $widget text/uri-list <Drop> $command
    }
}

