##############################################################################
#
#  			Copyright 2003 MPIMG Berlin, Germany.
#			      All Rights Reserved
#
#
#  System        : 
#  Module        : 
#  Object Name   : $RCSfile$
#  Revision      : $Revision$
#  Date          : $Date$
#  Author        : $Author$
#  Created By    : Dr. Detlef Groth
#  Created       : Mon Mar 10 16:41:10 2003
#  Last Modified : <030718.1334>
#
#  Description	
#
#  Notes
#
#  History
#	
#  $Log$
#
##############################################################################
#
#  Copyright (c) 2003 MPIMG Berlin, Germany.
# 
#  All Rights Reserved.
# 
#  This  document  may  not, in  whole  or in  part, be  copied,  photocopied,
#  reproduced,  translated,  or  reduced to any  electronic  medium or machine
#  readable form without prior written consent from MPIMG Berlin, Germany.
#
##############################################################################

package provide app-dgTreePad 1.0
package require Tk
package require BWidget
package require iniparse
package require wcb
package require ctext
package require Wikit
#package require Wikit
set dir [file dirname [info script]] 
source [file join $dir iniload.tcl]
source [file join $dir dgutils.tcl]
source [file join $dir dg-drag-and-drop.tcl]
source [file join $dir dg-search-and-replace-menu.tcl]


global var
global gui
global img
global data
global mnu
global styles
global appbook16 appbookopen16 filedocument16

image create photo appbook16 -data {
   R0lGODlhEAAQAIQAAPwCBAQCBDyKhDSChGSinFSWlEySjCx+fHSqrGSipESO
   jCR6dKTGxISytIy6vFSalBxydAQeHHyurAxubARmZCR+fBx2dDyKjPz+/MzK
   zLTS1IyOjAAAAAAAAAAAAAAAACH5BAEAAAAALAAAAAAQABAAAAVkICCOZGmK
   QXCWqTCoa0oUxnDAZIrsSaEMCxwgwGggHI3E47eA4AKRogQxcy0mFFhgEW3M
   CoOKBZsdUrhFxSUMyT7P3bAlhcnk4BoHvb4RBuABGHwpJn+BGX1CLAGJKzmK
   jpF+IQAh/mhDcmVhdGVkIGJ5IEJNUFRvR0lGIFBybyB2ZXJzaW9uIDIuNQ0K
   qSBEZXZlbENvciAxOTk3LDE5OTguIEFsbCByaWdodHMgcmVzZXJ2ZWQuDQpo
   dHRwOi8vd3d3LmRldmVsY29yLmNvbQA7
}
image create photo appbookopen16 -data {
   R0lGODlhEAAQAIUAAPwCBAQCBExCNGSenHRmVCwqJPTq1GxeTHRqXPz+/Dwy
   JPTq3Ny+lOzexPzy5HRuVFSWlNzClPTexIR2ZOzevPz29AxqbPz6/IR+ZDyK
   jPTy5IyCZPz27ESOjJySfDSGhPTm1PTizJSKdDSChNzWxMS2nIR6ZKyijNzO
   rOzWtIx+bLSifNTGrMy6lIx+ZCRWRAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
   AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAALAAAAAAQABAAAAae
   QEAAQCwWBYJiYEAoGAFIw0E5QCScAIVikUgQqNargtFwdB9KSDhxiEjMiUlg
   HlB3E48IpdKdLCxzEAQJFxUTblwJGH9zGQgVGhUbbhxdG4wBHQQaCwaTb10e
   mB8EBiAhInp8CSKYIw8kDRSfDiUmJ4xCIxMoKSoRJRMrJyy5uhMtLisTLCQk
   C8bHGBMj1daARgEjLyN03kPZc09FfkEAIf5oQ3JlYXRlZCBieSBCTVBUb0dJ
   RiBQcm8gdmVyc2lvbiAyLjUNCqkgRGV2ZWxDb3IgMTk5NywxOTk4LiBBbGwg
   cmlnaHRzIHJlc2VydmVkLg0KaHR0cDovL3d3dy5kZXZlbGNvci5jb20AOw==
}
image create photo filedocument16 -data {
   R0lGODlhEAAQAIUAAPwCBFxaXNze3Ly2rJSWjPz+/Ozq7GxqbJyanPT29HRy
   dMzOzDQyNIyKjERCROTi3Pz69PTy7Pzy7PTu5Ozm3LyqlJyWlJSSjJSOhOzi
   1LyulPz27PTq3PTm1OzezLyqjIyKhJSKfOzaxPz29OzizLyidIyGdIyCdOTO
   pLymhOzavOTStMTCtMS+rMS6pMSynMSulLyedAAAAAAAAAAAAAAAAAAAAAAA
   AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAALAAAAAAQABAAAAaQ
   QIAQECgajcNkQMBkDgKEQFK4LFgLhkMBIVUKroWEYlEgMLxbBKLQUBwc52Hg
   AQ4LBo049atWQyIPA3pEdFcQEhMUFYNVagQWFxgZGoxfYRsTHB0eH5UJCJAY
   ICEinUoPIxIcHCQkIiIllQYEGCEhJicoKYwPmiQeKisrKLFKLCwtLi8wHyUl
   MYwM0tPUDH5BACH+aENyZWF0ZWQgYnkgQk1QVG9HSUYgUHJvIHZlcnNpb24g
   Mi41DQqpIERldmVsQ29yIDE5OTcsMTk5OC4gQWxsIHJpZ2h0cyByZXNlcnZl
   ZC4NCmh0dHA6Ly93d3cuZGV2ZWxjb3IuY29tADs=
}
set var(geometry) "240x270+1+1"
set var(lastdir) $dir
set var(ini) {RECENT}
set var(resfile) [file rootname $argv0].res
set var(modified) false
set var(VERSION) "0.2"
set var(ctext) false
proc main {} {
    #global appbook16 appbookopen16 filedocument16 dir
    global gui var img data mnu dir
    set var(firstload) true
    set var(appname) [file rootname [file tail [info script]]]
    
    catch {wm iconbitmap . -default "[file join $dir ../../tclkit.ico]"}
    
    wm title . "$var(appname) $var(VERSION) - NoName.txt"
    set var(editfile) "NoName.txt"
    menu .menubar
    . config -menu .menubar
    set mnu(file) [menu .menubar.file -tearoff 0]
    set mnu(edit) [menu .menubar.edit -tearoff 0]
    set mnu(find) [menu .menubar.find -tearoff 0]
    set mnu(clips) [menu .menubar.clips -tearoff 0]
    set mnu(tools) [menu .menubar.tools -tearoff 0]
    .menubar add cascade -label File -underline 0 -menu $mnu(file) 
    .menubar add cascade -label Edit -underline 0 -menu $mnu(edit)
    .menubar add cascade -label Search -underline 0 -menu $mnu(find)
    .menubar add cascade -label Clips -underline 0 -menu $mnu(clips)
    .menubar add cascade -label Tools -underline 0 -menu $mnu(tools)
   
    $mnu(file) add separator
    $mnu(file) add command -label "New File" -underline 0 -command {
        on_new_file
      
    } -accelerator C-n
        
 
    $mnu(file) add command -label "Open File" -underline 0 -command { on_open_file } -accelerator C-o
      
    $mnu(file) add command -label "Save File" -underline 0 -command { on_save_file } -accelerator C-s
    $mnu(file) add command -label "Save File As" -underline 10 -command save_file_as
    $mnu(file) add separator
    set mnu(file-recent) [menu .menubar.file.recent -tearoff 0]
    .menubar.file add cascade -label "Recent Files ..." -underline 0 -menu $mnu(file-recent) -accelerator F11
    ini_load RECENTS 10 SHELLCOMMANDS 10 LASTFILE 1
    ini_mnu_install $mnu(file-recent) RECENTS read_file 9
    #adjust the proper commands
    ini_mnu_update  $mnu(file-recent) RECENTS read_file 9
    if { [ini_option_get FONT ] eq "" } {
        ini_option_set FONT "{Comic Sans MS} 8 normal roman"
    }
    set var(font) [ini_option_get FONT]
    $mnu(file) add command -label Exit -underline 1 -command  {on_exit}
    pack [PanedWindow .pw -side top -pad 0] -fill both -expand true
    set gui(pane1) [.pw add -weight 1]
    pack [frame $gui(pane1).f] -side top -fill x
    pack [SelectFont $gui(pane1).f.sf  -type toolbar -font $var(font) -command { 
          
          set var(font) [$gui(pane1).f.sf cget -font]
          $gui(text) configure -font $var(font) 
          build_tree
          build_bufferbrowser
          build_filebrowser [file dirname $var(editfile)]
          ini_option_set FONT  $var(font)
      }] -side left
       
        pack [button $gui(pane1).f.btnfg  -text fg -command {set_fg_color $gui(pane1).f.btnfg}] -side left -padx 2
        pack [button $gui(pane1).f.btnbg  -text bg -command {set_bg_color $gui(pane1).f.btnbg}] -side left -padx 2
        #    pack [frame $pane1.fr] -side top -fill both -expand yes
        #    set pack [ Tree $pane1.fr.tree -opencmd "tree_change 1" -closecmd "tree_change 0"] -side left \
        #-fill both -expand yes
        set widgets [Panned $gui(pane1).tree left ListBox ListBox Tree ]
        set gui(paneleft) [lindex $widgets 0]
        set gui(filebrowser) [lindex $widgets 1]
        set gui(bufferbrowser) [lindex $widgets 2]
        set gui(tree) [lindex $widgets 3]
        
        foreach el {filebrowser bufferbrowser} {
            $gui($el) bindText <Double-1> "on_$el"
            $gui($el) bindText <Button-1> "on_sel_$el"
            $gui($el) bindText <Return> "on_$el"
            $gui($el) bindImage <Double-1> "on_$el"
            $gui($el) bindImage <Button-1> "on_sel_$el"
        }
       
       
     
        $gui(tree) configure -opencmd {tree_change 1} -closecmd {tree_change 0}
        #        set gui(tree) [Scrolled Tree $gui(pane1).tree -opencmd "tree_change 1" -closecmd "tree_change 0"]
 
    $gui(tree) bindText <1> tree_click
    
    set gui(pane2) [.pw add -weight 1]
    #    set var(search) "search entry"
    #    pack [ComboBox $gui(pane2).cb  -editable true -helptext "Search Text here !" -width 100 -textvariable var(search) \
    #          -editable true -command {
    #          set index [$gui(text) search -exact -forwards $var(search) "insert + 1 chars"]
    #          $gui(pane2).cb configure -values "[$gui(pane2).cb cget -values] $var(search)"
    #          if { $index ne "" } {
    #              set len [string length $var(search)]
    #              $gui(text) see $index
    #              $gui(text) yview $index
    #             
    #              $gui(text) mark set insert $index
    #              $gui(text) tag add sel $index  "$index + $len chars"
    #              focus $gui(text)
    #       
    #          }
    #          }] -side top -fill x -expand no
    #ctext    set gui(ctext) [Scrolled $gui(pane2).text ctext  -linemap 0 -undo 1 -font $var(font) -wrap none] ;# -undo 1
    set gui(text) [Scrolled $gui(pane2).text text  -undo 1 -font $var(font) -wrap none] ;# -undo 1
    #set gui(text) $gui(ctext).t ctext
    #set gui(text) [Scrolled ctext $gui(pane2).text -undo 1 -font] ;# -undo 1
    dnd_init $gui(text) read_file
 
   
    #    pack [frame $gui(pane2).f] -side left -fill both -expand yes
    #    pack [PanedWindow $gui(pane2).f.pw -side left -pad 0] -fill both -expand true
    #    set gui(pane22) [$gui(pane2).f.pw add -weight 1]
    #  
    #    set gui(text) [Scrolled text $gui(pane22).text -undo 1 -font $var(font)] ;# -undo 1
    #    set gui(pane23) [$gui(pane2).f.pw add -weight 1]
    #    set gui(text2) [Scrolled text $gui(pane23).text2  -font $var(font) -height 5] ;# -undo 1
    #    set gui(pane2.3) [.pw.pw add -weight 1]
    #    set gui(text2) [Scrolled text $gui(pane2.3).text -font $var(font)] ;# -undo 1
    wm geometry . $var(geometry)
    #return
    source [file join $dir dg-edit-menu.tcl]
    text_bindings 
    set rfile [ini_get RECENTS 1] 
    if { [file exists $rfile] } {
        read_file $rfile
    }
    set_colors
    set mnu(help) [menu .menubar.help -tearoff 0]
    .menubar add cascade -label Help -underline 0 -menu $mnu(help) 
    $mnu(help) add command -label "About ... " -underline 0 -command \
             { tk_messageBox -title "About!" -icon info \
              -message "$var(appname) by Dr. Detlef Groth\n\n     2003\n\n   detlef@dgroth.de" -type ok}
    
    $mnu(help) add command -label "Help" -underline 0 -command {help 0}
    bind all <Control-n> on_new_file
    bind all <Control-s> on_save_file
    bind all <Control-o> on_open_file
    bind all <Key-F11> recents_showpopup
    bind "$gui(text)" <Button-3>  showpopup
    bind "$gui(text)" <Control-z>  {
        catch {	$gui(text) edit undo }
    }
    bind "$gui(text)" <Control-r>  {
        catch {	$gui(text) edit redo }
    }
    $gui(text) tag configure header -underline 1 -foreground "dark red"
    $gui(text) tag configure comment -underline 1 -foreground "dark green"
    wcb::callback $gui(text) after insert guiTextChanged
    wcb::callback $gui(text) after delete  guiTextChanged
  
    search_and_replace_init .menubar.find "$gui(text)"
    source [file join $dir dgTreePad-clips.tcl]
    update_hilight
    set var(firstload) false
    grid forget [$gui(paneleft) getframe 0]
    $mnu(tools) add command -label "[file tail [info nameofexecutable]]" -underline 0 -command { exec [info nameofexecutable] $var(editfile) & }
    $mnu(tools) add command -label "shell command" -underline 0 -command { shell_command }
}
proc updateHighlightLine {line idx} {
    global var gui
    if {[info exists var(header)]} {
        if {[regexp "$var(header)" $line match]} {
            $gui(text) insert $idx "$line\n" header
        } elseif {[regexp "$var(comment)" $line match]} {
            $gui(text) insert $idx "$line\n" comment
        } else {
            $gui(text) insert $idx "$line\n"
        }
    } else {
        $gui(text) insert $idx "$line\n"
    }
}
proc guiTextChanged {w args} {
    global var gui
    if {"$args" == "insert {\n}"} {
        set lastline [$gui(text) get "insert - 1 lines" "insert - 1 c"]
        $gui(text) delete "insert - 1 lines" "insert - 1 c"
        updateHighlightLine $lastline "insert - 1 c"
        #tk_messageBox -title "Info!" -icon info -message "$w modified with :$args:\nlastline = :$lastline:" -type ok
    }
      #catch { $gui(text) tag remove findsel 1.0 end } ;#ctext
      if { !$var(modified) } {
          set var(modified) true 
          wm title . "[wm title .]*"
        }
    }
proc shell_command { } {
    global gui var
    set vals ""
    if { [winfo exists .shell] } {
        wm deiconify .shell
    } else {
        toplevel .shell
        wm title .shell "Shell command ..."
        pack [labelframe .shell.lbl -text command] -side top -expand no -fill x 
        for {set i 0} {$i < 10} {incr i 1} {
            set val [ini_get SHELLCOMMANDS $i]
            if {$val ne "" || $val ne "0"} {
                append vals "$val "
            }
        }
        pack [ComboBox .shell.lbl.cb  -editable true -helptext "Try to drag your command here or enter command manually !" \
              -width 100 -textvariable var(shellcmd) -values $vals -command {shell_command_exec}] \
                  -side left -fill x -expand no -pady 5 -padx 5
        pack [button .shell.lbl.btn -text execute -command {shell_command_exec} ] \
                  -side left -padx 5 -pady 5
        set var(shell-detached) false
        pack [checkbutton .shell.lbl.detached -text "detached" -variable var(shell-detached)] \
                  -side left -padx 5 -pady 5
        pack [button .shell.lbl.close -text " close " -command {destroy .shell}] \
                  -side left -padx 5 -pady 5
        set gui(shellresult) [Scrolled .shell.text  text]
        $gui(shellresult) tag configure error -foreground #aa0000
        set gui(shellcb) .shell.lbl.cb
        dnd_init $gui(shellcb) shellcb_filename
    }
}
proc shellcb_filename {filename} {
    global gui
    set values [$gui(shellcb) cget -values]
    regsub -all "$filename *" $values "" values
    $gui(shellcb) configure -values "$filename $values"
    $gui(shellcb) setvalue first
}
proc shell_command_exec {} {
    proc bgerror {msg} {
        global gui
        $gui(shellresult) insert end "\n---------ERROR-----------------\n" error
        $gui(shellresult) yview end
        $gui(shellresult) insert end $msg error
    }
    global gui var
    set olddir [pwd]
    cd [file dirname $var(editfile)]
  
    if { !$var(shell-detached) } {
        set text [exec $var(shellcmd)]
        $gui(shellresult) insert end "\n----------RESULT-------------------\n"
        $gui(shellresult) yview end
        $gui(shellresult) insert end $text
     
    } else {
       exec $var(shellcmd) &
    }
    set values [$gui(shellcb) cget -values]
    regsub -all "$var(shellcmd) *" $values "" values
    $gui(shellcb) configure -values "$var(shellcmd) $values"
    ini_unshift SHELLCOMMANDS $var(shellcmd) 9
    cd $olddir     
  
}
proc showpopup_mnu { mnu } {
    set numx [winfo pointerx .]
    set numy [winfo pointery .]
    tk_popup $mnu $numx $numy
}
proc recents_showpopup {} {
    global  mnu
    set numx [winfo pointerx .]
    set numy [winfo pointery .]
    tk_popup $mnu(file-recent) $numx $numy
}

proc on_open_file {} {
    global var gui
  
    set types {
          
        {{Text Files}       {.txt}        }
        {{Tcl Files}       {.tcl}        }
        {{All Files}        *.*            }
    }
    set filename [tk_getOpenFile -filetypes $types -initialdir $var(lastdir)]
    if {$filename != ""} {
        
        read_file $filename
            
            
    }
        
}
proc on_exit {} {
    global var gui
    ini_write 
    if { $var(modified) } {
        set answer [tk_messageBox -title "Question!" -message "Do you wan't to save $var(editfile) ?" -type yesnocancel -icon question]
        if { $answer eq "yes" } {
            set out [open $var(editfile) w 0600]
            puts $out [$gui(text) get 1.0 end]
            close $out
        } elseif { $answer eq "cancel" } {
            return
        }
       
       
    } else {
        set answer [tk_messageBox -title "Sure?" -message "Really end program ?" -type yesno -icon question]
        if { !$answer } {
            return
        }
    }
    destroy .
   
}
proc on_sel_filebrowser {node}  {
    global gui
    $gui(filebrowser) selection clear
    $gui(filebrowser) selection set $node
}
proc on_sel_bufferbrowser {node} {
    global gui
    $gui(bufferbrowser) selection clear
    $gui(bufferbrowser) selection set $node
}
proc on_bufferbrowser {node} {
    global gui
    set filename [$gui(bufferbrowser) itemcget $node -data]
    read_file $filename
}
proc on_filebrowser {node} {
    global gui
  
    set filename [$gui(filebrowser) itemcget $node -data]
    if [file isdirectory $filename] {
        build_filebrowser $filename
    } else {
        read_file $filename
    }
    
}
proc on_new_file {} {
    global gui var
    if { $var(modified) } {
        set answer [tk_messageBox -title "Question!" -message "Do you wan't to save $var(editfile) ?" -type yesnocancel -icon question]
        if { $answer eq "tyes" } {
            set out [open $var(editfile) w 0600]
            puts $out [$gui(text) get 1.0 end]
            close $out
        } elseif { $answer eq "cancel" } {
            return
        }
    }
    $gui(text) delete 1.0 end
    set var(editfile) "NoName.txt"
    wm title . "$var(appname) $var(VERSION) - NoName.txt*"
    set var(modified) false
    foreach child [$gui(tree) nodes root] {
        $gui(tree) delete $child
    }
}
proc on_save_file {} {
    global var gui
    if {$var(editfile) != "NoName.txt"} {
        set out [open $var(editfile) w 0600]
        puts -nonewline $out [$gui(text) get 1.0 end]
        close $out
        build_tree
        set var(modified) false
        wm title . "$var(appname) $var(VERSION) - [file tail $var(editfile)]"
        
    } else {
        save_file_as
      
    }
}
proc save_file_as {} {
    global var gui mnu
    set types {
      
        {{Text Files}       {.txt}        }
        {{Tcl Files}       {.tcl}        }
        {{All Files}        *.*            }
    }
    set savefile [tk_getSaveFile -filetypes $types -initialdir $var(lastdir)]
    if {$savefile != ""} {
        set out [open $savefile w 0600]
        puts -nonewline $out [$gui(text) get 1.0 end]
        close $out
        set var(editfile) $savefile
        wm title . "$var(appname) $var(VERSION) - [file tail $savefile]"
    }
    ini_unshift RECENTS $savefile 9
    ini_mnu_update  $mnu(file-recent) RECENTS read_file 9
    set_colors
    build_tree
    build_filebrowser [file dirname $var(editfile)]
    build_bufferbrowser 
    update_hilight
    set var(modified) false
}
proc read_file {filename} {
    global gui mnu var
   
    if {$filename eq "NoName.txt"} {
        return
    }
   
    if {$var(modified)} {
        set answer [tk_messageBox -title "Question!" -message "Do you wan't to save $var(editfile) ?" -type yesnocancel -icon question]
        if { $answer eq "yes" } {
            set out [open $var(editfile) w 0600]
            puts $out [$gui(text) get 1.0 end]
            close $out
        } elseif { $answer eq "cancel" } {
            return
        }
    }
    busy 1
    set var($var(editfile)-insert)  [$gui(text) index insert]
    set var($var(editfile)-yview)  [$gui(text) yview]
    $gui(text) delete 1.0 end
    
    if [catch {open $filename r} infh] {
        tk_messageBox -title "Info!" -icon info -message "Cannot open $filename: $infh" -type ok
        busy 0
        return
    } else {
        set headers(.tcl) "^\\s\*proc"
        set headers(.txt) "^\\*"
        set comments(.tcl) "^\\s\*#"
        set comments(.txt) "^\\s\*#"
        set ext [file extension $filename]
        if [info exists headers($ext)] {
            set var(header) $headers($ext)
            set var(comment) $comments($ext)
        }
        while {[gets $infh line] >= 0} {
            if {[info exists var(header)]} {
                if {[regexp "$var(header)" $line match]} {
                    $gui(text) insert end "$line\n" header
                } elseif {[regexp "$var(comment)" $line match]} {
                    $gui(text) insert end "$line\n" comment
                } else {
                    $gui(text) insert end "$line\n"
                }
            } else {
                $gui(text) insert end "$line\n"
            }
            
            
        }
        close $infh
        ini_unshift RECENTS $filename 9
        ini_mnu_update  $mnu(file-recent) RECENTS read_file 9
        set var(editfile) $filename
        wm title . "$var(appname) $var(VERSION) - [file tail $filename]"
    }
    set_colors
    build_tree
    build_filebrowser [file dirname $var(editfile)]
    build_bufferbrowser 
    update_hilight
    set var(modified) false
    catch {$gui(text) edit reset}
    if [info exists var($var(editfile)-insert)] {
        $gui(text) mark set insert $var($var(editfile)-insert)
        $gui(text) yview moveto [lindex $var($var(editfile)-yview) 0]
    } else {
        $gui(text) mark set insert 1.0
        $gui(text) yview insert
    }
        
    busy 0
    #tools_menu_create $filename
   
}

proc tree_click {node} {
    global var gui
    $gui(tree) selection set $node
    set var(selected) [$gui(tree) selection get]
    set search [$gui(tree) itemcget $node -data]
  #  tk_messageBox -title "Info!" -icon info -message "$search" -type ok
    set index [$gui(text) search -exact -forwards $search 1.0]
    if { $index ne "" } {
        $gui(text) see $index
        $gui(text) yview $index
       
    }
}
proc tree_change {idx node} {
    global gui appbook16 appbookopen16
    $gui(tree) itemconfigure $node -image [lindex {appbook16 appbookopen16} $idx]

}
proc set_geometry {} {
    global var
 
    if {$var(geometry) eq "240x270+1+1"} {
        set var(geometry) "240x180+1+1"
    } else {
        set var(geometry) "240x270+1+1"
    }
    wm geometry . $var(geometry)
}
proc build_bufferbrowser {} {
    global gui var
    if { $var(editfile) eq "NoName.txt" } { return  }
   
    set item 0
    $gui(bufferbrowser) delete [$gui(bufferbrowser) items]
    for {set i 1} {$i < 10} {incr i 1} {
        set filename [ini_get RECENTS $i]
        if { $filename ne "0" } {
            $gui(bufferbrowser) insert end item$item -text "[file tail $filename] = $filename"  \
                      -image [Bitmap::get file] -data $filename \
                      -font $var(font)
            incr item
        }                                   
    }
}
proc build_filebrowser {dir} {
    global gui var
   
    if { $var(editfile) eq "NoName.txt" } {
        return
    }
   
    set item 0
    $gui(filebrowser) delete [$gui(filebrowser) items]
    $gui(filebrowser) insert end item$item -text ".."  \
              -image [Bitmap::get folder] -data [file join $dir ..] \
              -font $var(font)
    foreach dirname [lsort -dictionary [glob -types d -nocomplain -- $dir/*]] {
        incr item
        $gui(filebrowser) insert end item$item -text [file tail $dirname] \
                  -image [Bitmap::get folder] -data [file normalize $dirname] \
                  -font $var(font)
    }
    foreach filename [lsort -dictionary [glob -types f -nocomplain -- $dir/*]] {
        incr item
        $gui(filebrowser) insert end item$item -text [file tail $filename] \
                  -image [Bitmap::get file] -data [file normalize $filename] \
                  -font $var(font)
    }
    
}
    
proc build_tree {} {
    global gui var
    if { $var(editfile) eq "NoName.txt" } {
        return
    }
    set children [$gui(tree) nodes root]
    foreach child $children {
        if {[$gui(tree) itemcget $child -open] == 0} {
            lappend closednodes $child
        }
        foreach subchild [$gui(tree) nodes $child] {
            if {[$gui(tree) itemcget $subchild -open] == 0} {
                lappend closednodes $subchild
            }
        }
    }
    $gui(tree) delete [$gui(tree) nodes root]
    if [catch {open $var(editfile) r} infh] {
        tk_messageBox -title "Info!" -icon info -message "$var(editfile) does not exists" -type ok
        return
    } else {
        switch -glob -- [file extension $var(editfile)] {
            *.tcl {
           
            
                $gui(tree) insert end root packages -text "package require" -image appbookopen16 -open 1 -font $var(font)                
                $gui(tree) insert end root source -text "source" -image appbookopen16 -open 1 -font $var(font)                
                $gui(tree) insert end root procedures -text procedures -image appbookopen16 -open 1 -font $var(font)
                set i 0
                while {[gets $infh line] >= 0} {
                    if { [regexp {^ *proc *([^ ]+)} $line match proc]} {
                        regsub {[^a-zA-Z0-9]} $proc "_" proc
                        if { [lsearch [$gui(tree) nodes procedures] $proc] >= 0} {
                            incr i
                            set proc $proc$i
                        }
                        $gui(tree) insert end procedures $proc -text $proc -image filedocument16 -data $line -font $var(font)
                    } elseif { [regexp {^ *package +require *([^ ]+)} $line match package]} {
                        $gui(tree) insert end packages $package -text $package -image filedocument16 -data $line -font $var(font)
                    } elseif { [regexp {^ *source.+ (.+?)\]?} $line match source] } {
                        $gui(tree) insert end source $source -text $source -image filedocument16 -data $line -font $var(font)
                    }
                }
                
            }
       
            *.txt {
                set lheader root
                while {[gets $infh line] >= 0} {
                    catch {
                        if { [regexp {^\* +(.+)} $line match header]} {
                            regsub -all {[^a-zA-Z0-9]} $header {_} nodeheader
                            
                            $gui(tree) insert end root $nodeheader -text $header -image appbookopen16 -open 1 -data $line -font $var(font)
                            set lheader $nodeheader
                        } elseif { [regexp {^\*\* +(.+)} $line match header]} {
                            regsub -all {[^a-zA-Z0-9]} $header {_} nodeheader
                            $gui(tree) insert end $lheader $nodeheader -text $header -image filedocument16 -open 1 -data $line -font $var(font)
                            set lheader2 $nodeheader
                        } elseif { [regexp {^\*\*\* +(.+)} $line match header]} {
                            regsub -all {[^a-zA-Z0-9]} $header {_} nodeheader
                           
                            $gui(tree) insert end $lheader2 $nodeheader -text $header -image filedocument16 -data $line -font $var(font)
                          
                            $gui(tree) itemconfigure [$gui(tree) parent $nodeheader] -image appbookopen16 
                        } elseif { [regexp {^ *\[sect +"([^"]+)"} $line match header]} { ;#"
                            regsub -all { } $header {_} nodeheader
                            set lheader $nodeheader
                            $gui(tree) insert end root $nodeheader -text $header -image appbookopen16 -open 1 -data $line -font $var(font)
                        } elseif { [regexp {^ *\[subsect +"([^"]+)"} $line match header]} { ;#"
                            regsub -all { } $header {_} nodeheader
                            $gui(tree) insert end $lheader $nodeheader -text $header -image filedocument16 -data $line -font $var(font)
                        } 
                    }
                    
                }
            }
            *.htm? {
                set lheader root
                while {[gets $infh line] >= 0} {
                    if { [regexp -nocase {<H1>(.+)} $line match header]} {
                        regsub -all {[^a-zA-Z0-9]} $header {_} nodeheader
                        regsub -all {<.+?>} $header {} header
                        set lheader $nodeheader
                        catch {
                            $gui(tree) insert end root $nodeheader -text $header -image appbookopen16 -open 1 -data $line -font $var(font)
                        }
                    }   elseif { [regexp -nocase {<H2>(.+)} $line match header]} {
                        regsub -all {[^a-zA-Z0-9]} $header {_} nodeheader
                        regsub -all {<.+?>} $header {} header
                        catch {
                            $gui(tree) insert end $lheader $nodeheader -text $header -image filedocument16 -data $line -font $var(font)
                        }
                    } 
                 
                } 
            }
            default {
                #tk_messageBox -title "Info!" -icon info -message "default" -type ok
            }
        }
    }
    close $infh
    if {[info exists closednodes]} {
        set children [$gui(tree) nodes root]
        foreach child $children {
            if { [lsearch -exact $closednodes $child] >= 0} {
                $gui(tree) itemconfigure $child -open 0 -image appbook16
            }
            foreach subchild [$gui(tree) nodes $child] {
            if { [lsearch -exact $closednodes $subchild] >= 0} {
                $gui(tree) itemconfigure $subchild -open 0 -image appbook16
            }
        }
        }
      
    }
    focus $gui(text)
   
    
}
# Insert menu ########################################
proc set_fg_color {w} {
    global gui
    set color [SelectColor::menu $w.color [list below $w] \
               -color [$w cget -background]]
    ini_option_set FG $color
    set_colors
  
}
proc set_colors {} {
    global gui
    set fg [ini_option_get FG] 
    set bg [ini_option_get BG] 
    if { $bg ne "" } {
        $gui(text) configure -background $bg
        #$gui(text2) configure -background $bg
        $gui(tree) configure -background $bg
        $gui(filebrowser) configure -background $bg
        $gui(bufferbrowser) configure -background $bg
    }
    if { $fg ne "" } {
        $gui(text) configure -foreground $fg
         $gui(bufferbrowser) configure -foreground $fg
        #$gui(text2) configure -foreground $fg
        foreach child [$gui(tree) nodes root] {
            $gui(tree) itemconfigure $child -fill $fg
            foreach child2 [$gui(tree) nodes $child] {
                $gui(tree) itemconfigure $child2 -fill $fg
            }
        }
    }
}
proc set_bg_color {w} {
    global gui
    set color [SelectColor::menu $w.color [list below $w] \
               -color [$w cget -background]]
    if { [string length $color] } {
         
        ini_option_set BG $color
        set_colors
    }
}
proc tools_exec {dir cmd} {
    global gui
   
  
    set olddir [pwd]
    cd $dir
    set result [exec $cmd]
    $gui(text2) delete 1.0 end
    $gui(text2) insert end $result
    cd $olddir
}
proc tools_menu_create {filename} {
    global tcl_platform
    set dir [file dirname $filename]
    global mnu
    if { [winfo exists .menubar.tools] } {
        destroy .menubar.tools
    }
    set mnu(tools) [menu .menubar.tools -tearoff 0]
    .menubar add cascade -label Tools -underline 0 -menu $mnu(tools) 
    if [string match Windows* $tcl_platform(os)] {
        set shell bat
    } else {
        set shell sh
    }
    foreach file [lsort [glob -nocomplain $dir/*.$shell]] {
        set cmd "tools_exec $dir [file tail $file]"
        .menubar.tools add command -label [file tail $file] -command $cmd
    }
}
proc update_hilight {} {
    global gui var
    if {$var(ctext)} {
        if { !$var(firstload) && [file extension [ini_get RECENTS 1]] eq [file extension [ini_get RECENTS 2]] } {
            ctext::highlight $gui(ctext) 1.0 end 
            return
        }
        ctext::clearHighlightClasses $gui(ctext)
        switch -glob -- [file extension $var(editfile)] {
            *.tcl {
                $gui(text) tag configure procs -underline 1
                ctext::addHighlightClass $gui(ctext) control darkred [list panedwindow menubutton tell socket subst open eof pwd bindtags glob list listbox exec pid pack auto_load_index time clipboard unknown eval lrange tk_popup checkbutton fblocked lsearch auto_import gets canvas case lappend message place bind break variable llength auto_execok return pkg_mkIndex linsert event error labelframe catch tkwait raise clock info split tk_textCut array if auto_mkindex fconfigure concat join lreplace option source fcopy global switch auto_reset toplevel spinbox update auto_qualify wm tclPkgUnknown close cd for scale label tk_getOpenFile focus auto_load file append format radiobutton image button read package set pkg_compareExtension binary namespace scan tk_menuSetFocus font trace tk_textPaste seek registry lower zlib while destroy librarypath flush after winfo vwait scrollbar tk_chooseDirectory grab menu uplevel continue auto_mkindex_old . selection foreach lset rename rechan entry fileevent console frame regexp text tk_getSaveFile tclPkgSetup tk_chooseColor grid upvar unset encoding expr tcl_findLibrary load regsub history interp exit tk_messageBox puts incr lindex lsort tclLog tk_textCopy tk bell string]
                ctext::addHighlightClassForSpecialChars $gui(ctext) math red [list =!<>]
                ctext::addHighlightClass $gui(ctext) math2 red [list eq ne true false yes no]
                ctext::addHighlightClassForRegexp $gui(ctext) quotes #9933ff {["'].+?['"]}
                ctext::addHighlightClassWithOnlyCharStart $gui(ctext) variables #339933 "\$"
                ctext::addHighlightClassWithOnlyCharStart $gui(ctext) options #339933 "-"
                ctext::addHighlightClassForRegexp $gui(ctext) comments darkgreen {#\[^\n\]*}
                ctext::addHighlightClassForRegexp $gui(ctext) procs darkred {proc .*}
                ctext::addHighlightClassForRegexp $gui(ctext) comments darkgreen { *#.*}
                    ctext::addHighlightClassForRegexp $gui(ctext) comments2 darkgreen { ;#.*}     
                        
            }
            *.t*xt {
                $gui(text) tag configure header -underline 1 -spacing1 10 -spacing3 10
                ctext::addHighlightClassForRegexp $gui(ctext) quotes #993333 {["].+?["]}
                ctext::addHighlightClassForRegexp $gui(ctext) header darkblue {^(\*|.subsect|.sect).+}
                ctext::addHighlightClassForRegexp $gui(ctext) comments darkgreen {^ *#.+}
            }
            *.htm? {
                $gui(text) tag configure header -underline 1 -spacing1 10 -spacing3 10
                ctext::addHighlightClassForRegexp $gui(ctext) quotes #993333 {["'].+?['"]}
                ctext::addHighlightClassForRegexp $gui(ctext) header darkblue {<[Hh][1-4]>\[^\n\]*}
                ctext::addHighlightClassForRegexp $gui(ctext) htmltags darkblue {<[A-Za-z0-9/]+?>}
                ctext::addHighlightClassForRegexp $gui(ctext) htmltags2 darkblue {<[A-Za-z0-9]+}
                ctext::addHighlightClassForRegexp $gui(ctext) htmltags3 darkgreen {[A-Za-z0-9]+=}
                ctext::addHighlightClassForSpecialChars $gui(ctext) math darkblue [list >]
            }
        }
        ctext::highlight $gui(ctext) 1.0 end 
    } else {
      # text tags   
    }
   
}
proc build {} {
    package require compiler
    set tail "[file rootname [file tail [info script]]]"
    file copy -force "$tail.tcl" "$tail.vfs/lib/app-$tail/"
    
    file copy -force "$tail-clips.tcl"  "$tail.vfs/lib/app-$tail/"
    exec d:/tcl-programme/tclkit/tclkitsh.exe d:/tcl-programme/tclkit/sdx.kit wrap $tail.kit
    
    
    
    file copy -force "$tail.kit" "d:/tcl-programme/dg-apps/"
    
  
}
if { [lindex $argv 0] eq "build"} {
    build
    exit
}
proc istring {text} {
    global gui
    set selection ""
    catch {
        set selection [$gui(text) get sel.first sel.last]
    }
    if { $selection ne "" } {
        $gui(text) delete sel.first sel.last
    }
    set before [$gui(text) index insert]
    $gui(text) insert insert "$text"
    set after [$gui(text) index insert]
    set p [$gui(text) search  | $before $after] 
    if { $p ne "" } {
        $gui(text) see $p
        $gui(text) mark set insert $p
        $gui(text) delete insert "insert + 1 chars"
        if { $selection  ne "" } {
            $gui(text) insert insert $selection
        }
    }
        
    
}
proc busy {n} {
    global gui
    set widgets [list . $gui(text) $gui(tree) $gui(filebrowser) $gui(bufferbrowser)]
    if {$n} {
        set cursor watch
    } else {
        set cursor arrow
    }
    foreach w $widgets {
        $w configure -cursor $cursor
    }
    update
    update idletasks
}
proc help {key} {
   global var argv0
   if { [winfo exists .help] } {
         wm deiconify .help
         Wikit::ShowPage $key
   } else {
       set docdir [file join  .. doc]
       if { [info exist var(starkit)] } {
           set docdir "$argv0/doc"
       } 
       toplevel .help ; 
       if [string match *kit $argv0] {
           Wikit::init [file join $starkit::topdir doc $var(appname).tkd] 1 .help
           #tk_messageBox -title "Info!" -icon info -message "$argv0 [file join [info script] doc $var(appname).tkd]" -type ok
       } elseif [string match *exe/main.tcl $argv0] {
           #tk_messageBox -title "Info!" -icon info -message "$argv0 [file join [file dirname $argv0] doc $var(appname).tkd]]"
           Wikit::init [file join $starkit::topdir doc $var(appname).tkd] 1 .help
       } else {
            Wikit::init [file join $starkit::topdir doc $var(appname).tkd] 1 .help
       }
       #Wikit::init  1 .help
       Wikit::ShowPage $key
   }   
}
main
